# Updating fulfillments-\> shipment\_details-\>expected\_shipped\_at no longer works

**URL:** <https://developer.squareup.com/forums/t/updating-fulfillments-shipment-details-expected-shipped-at-no-longer-works/12072>\
**Category:** Questions\
**Tags:** orders-api, sdk\
**Created:** [February 6, 2024, 10:55am UTC](https://developer.squareup.com/forums/t/updating-fulfillments-shipment-details-expected-shipped-at-no-longer-works/12072 "2024-02-06T10:55:53Z")\
**Posts on this page:** 6\
**Page:** 1

<div class="post-metadata">

**Author:** ![gdogaru.fleets](https://sea1.discourse-cdn.com/square/forums/user_avatar/developer.squareup.com/gdogaru.fleets/32/1283_2.png) [@gdogaru.fleets](https://developer.squareup.com/forums/u/gdogaru.fleets)\
**Post date:** [February 6, 2024, 10:55am UTC](https://developer.squareup.com/forums/t/updating-fulfillments-shipment-details-expected-shipped-at-no-longer-works/12072/1 "2024-02-06T10:55:53Z")

</div>

I used to update the shipment date using something like:

```auto
curl https://connect.squareup.com/v2/orders/iWPTXqFbfX44bix7ces8z0sXgoEZY \
  -X PUT \
  -H 'Square-Version: 2024-01-18' \
  -H 'Authorization: Bearer XXXX' \
  -H 'Content-Type: application/json' \
  -d '{
    "order": {
      "location_id": "LHF8MXF0DYMNB",
      "fulfillments": [
        {
          "shipment_details": {
            "expected_shipped_at": "2024-02-06T18:30:00.000Z"
          },
          "uid": "aa9586ad-720b-4036-8b5c-c1a9600edaaa"
        }
      ],
      "version": 4
    }
  }'

```

The response returns the correct

```auto
"expected_shipped_at": "2024-02-06T18:30:00.000Z" 
 "version": 5, 

```

When I do a get order: ` curl https://connect.squareup.com/v2/orders/iWPTXqFbfX44bix7ces8z0sXgoEZY`  
I see version was updated to 5 but the shipment date was not updated

---

<div class="post-metadata">

**Author:** ![Square-Dev-AI](https://sea1.discourse-cdn.com/square/forums/user_avatar/developer.squareup.com/square-dev-ai/32/2513_2.png) [@Square-Dev-AI](https://developer.squareup.com/forums/u/Square-Dev-AI)\
**Post date:** [February 6, 2024, 10:56am UTC](https://developer.squareup.com/forums/t/updating-fulfillments-shipment-details-expected-shipped-at-no-longer-works/12072/2 "2024-02-06T10:56:20Z")

</div>

👋 I’m Square Dev AI, here to help answer your question!  
Based on the information you’ve provided, the following documentation will help answer your question:

> **[Order Fulfillments](https://developer.squareup.com/docs/orders-api/fulfillments)**
>
> Learn how to create and manage order fulfillment using the Square Orders API.

> **[Update Orders](https://developer.squareup.com/docs/orders-api/manage-orders/update-orders)**
>
> Learn how to update orders and how to specify sparse objects in an update request to add, update, and delete fields.

> **Additional Documentation**
>
> [Orders API: How It Works](https://developer.squareup.com/docs/orders-api/how-it-works)  
> [Versioning in Square APIs](https://developer.squareup.com/docs/build-basics/versioning)  
> [Versioning in Square APIs](https://developer.squareup.com/docs/build-basics/versioning-overview)

If this documentation helped you find a solution, please check the box indicating that this reply solves the problem.  
Otherwise one of our Developer Advocates will provide additional assistance shortly.

---

<div class="post-metadata">

**Author:** ![Bryan-Square](https://sea1.discourse-cdn.com/square/forums/user_avatar/developer.squareup.com/bryan-square/32/38_2.png) [@Bryan-Square](https://developer.squareup.com/forums/u/Bryan-Square)\
**Post date:** [February 6, 2024, 5:00pm UTC](https://developer.squareup.com/forums/t/updating-fulfillments-shipment-details-expected-shipped-at-no-longer-works/12072/3 "2024-02-06T17:00:06Z")

</div>

I just took a look at the order and I see the updated timestamp. Would you mind providing the returned response of your curl request? 🙂

---

<div class="post-metadata">

**Author:** ![gdogaru.fleets](https://sea1.discourse-cdn.com/square/forums/user_avatar/developer.squareup.com/gdogaru.fleets/32/1283_2.png) [@gdogaru.fleets](https://developer.squareup.com/forums/u/gdogaru.fleets)\
**Post date:** [February 7, 2024, 8:11am UTC](https://developer.squareup.com/forums/t/updating-fulfillments-shipment-details-expected-shipped-at-no-longer-works/12072/4 "2024-02-07T08:11:55Z")

</div>

```auto
curl https://connect.squareup.com/v2/orders/iWPTXqFbfX44bix7ces8z0sXgoEZY \
  -X PUT \
  -H 'Square-Version: 2024-01-18' \
  -H 'Authorization: Bearer xxx' \
  -H 'Content-Type: application/json' \
  -d '{
    "order": {
      "location_id": "LHF8MXF0DYMNB",
      "fulfillments": [
        {
          "shipment_details": {
            "expected_shipped_at": "2024-02-06T18:30:00.000Z"
          },
          "uid": "aa9586ad-720b-4036-8b5c-c1a9600edaaa"
        }
      ],
      "version": 5
    }
  }'

```

```auto
{
  "order": {
    "id": "iWPTXqFbfX44bix7ces8z0sXgoEZY",
    "location_id": "LHF8MXF0DYMNB",
    "line_items": [
      {
        "uid": "aa9586ad-720b-4036-8b5c-0-0",
        "catalog_object_id": "7OASPWIRXWC65RG24OZGIJQW",
        "catalog_version": 1707213032885,
        "quantity": "1",
        "name": "Bagel",
        "variation_name": "Blueberry",
        "base_price_money": {
          "amount": 0,
          "currency": "CAD"
        },
        "gross_sales_money": {
          "amount": 0,
          "currency": "CAD"
        },
        "total_tax_money": {
          "amount": 0,
          "currency": "CAD"
        },
        "total_discount_money": {
          "amount": 0,
          "currency": "CAD"
        },
        "total_money": {
          "amount": 0,
          "currency": "CAD"
        },
        "variation_total_price_money": {
          "amount": 0,
          "currency": "CAD"
        },
        "item_type": "ITEM",
        "total_service_charge_money": {
          "amount": 0,
          "currency": "CAD"
        }
      }
    ],
    "fulfillments": [
      {
        "uid": "aa9586ad-720b-4036-8b5c-c1a9600edaaa",
        "type": "SHIPMENT",
        "state": "PROPOSED",
        "metadata": {
          "latitude": "43.902177858556584",
          "longitude": "-78.70283542513425",
          "deliveryPeriodMinutes": "30"
        },
        "shipment_details": {
          "recipient": {
            "display_name": "QA Fleets",
            "email_address": "qa@fleetscoffee.com",
            "phone_number": "+14378861383",
            "address": {
              "address_line_1": "182 Vail Meadows Crescent",
              "address_line_2": "",
              "locality": "Bowmanville",
              "administrative_district_level_1": "Bowmanville",
              "postal_code": "ON L1C 4T4",
              "country": "CA"
            }
          },
          "shipping_note": "Deliver with care",
          "placed_at": "2024-02-06T10:09:12.153Z",
          "expected_shipped_at": "2024-02-06T18:30:00.000Z"
        }
      }
    ],
    "created_at": "2024-02-06T10:09:11.464Z",
    "updated_at": "2024-02-07T08:06:29.421Z",
    "state": "OPEN",
    "version": 6,
    "reference_id": "aa9586ad-720b-4036-8b5c-c1a9600edaaa",
    "total_tax_money": {
      "amount": 0,
      "currency": "CAD"
    },
    "total_discount_money": {
      "amount": 0,
      "currency": "CAD"
    },
    "total_tip_money": {
      "amount": 0,
      "currency": "CAD"
    },
    "total_money": {
      "amount": 0,
      "currency": "CAD"
    },
    "total_service_charge_money": {
      "amount": 0,
      "currency": "CAD"
    },
    "net_amounts": {
      "total_money": {
        "amount": 0,
        "currency": "CAD"
      },
      "tax_money": {
        "amount": 0,
        "currency": "CAD"
      },
      "discount_money": {
        "amount": 0,
        "currency": "CAD"
      },
      "tip_money": {
        "amount": 0,
        "currency": "CAD"
      },
      "service_charge_money": {
        "amount": 0,
        "currency": "CAD"
      }
    },
    "source": {
      "name": "Fleets Coffee"
    },
    "customer_id": "2N6010KQW0WSQ6CTEXTQ63KJB0",
    "pricing_options": {
      "auto_apply_discounts": false,
      "auto_apply_taxes": true
    },
    "net_amount_due_money": {
      "amount": 0,
      "currency": "CAD"
    }
  }
}

```

The response suggests the shipment was updated, but if I do a GET the shipping time is the previous value. The version increased but the data was not changed.

```auto
curl https://connect.squareup.com/v2/orders/iWPTXqFbfX44bix7ces8z0sXgoEZY \
  -H 'Square-Version: 2024-01-18' \
  -H 'Authorization: Bearer xxx' \
  -H 'Content-Type: application/json'

```

```auto
{
  "order": {
    "id": "iWPTXqFbfX44bix7ces8z0sXgoEZY",
    "location_id": "LHF8MXF0DYMNB",
    "line_items": [
      {
        "uid": "aa9586ad-720b-4036-8b5c-0-0",
        "catalog_object_id": "7OASPWIRXWC65RG24OZGIJQW",
        "catalog_version": 1707213032885,
        "quantity": "1",
        "name": "Bagel",
        "variation_name": "Blueberry",
        "base_price_money": {
          "amount": 0,
          "currency": "CAD"
        },
        "gross_sales_money": {
          "amount": 0,
          "currency": "CAD"
        },
        "total_tax_money": {
          "amount": 0,
          "currency": "CAD"
        },
        "total_discount_money": {
          "amount": 0,
          "currency": "CAD"
        },
        "total_money": {
          "amount": 0,
          "currency": "CAD"
        },
        "variation_total_price_money": {
          "amount": 0,
          "currency": "CAD"
        },
        "item_type": "ITEM",
        "total_service_charge_money": {
          "amount": 0,
          "currency": "CAD"
        }
      }
    ],
    "fulfillments": [
      {
        "uid": "aa9586ad-720b-4036-8b5c-c1a9600edaaa",
        "type": "SHIPMENT",
        "state": "PROPOSED",
        "metadata": {
          "deliveryPeriodMinutes": "30",
          "longitude": "-78.70283542513425",
          "latitude": "43.902177858556584"
        },
        "shipment_details": {
          "recipient": {
            "display_name": "QA Fleets",
            "email_address": "qa@fleetscoffee.com",
            "phone_number": "+14378861383",
            "address": {
              "address_line_1": "182 Vail Meadows Crescent",
              "address_line_2": "",
              "locality": "Bowmanville",
              "administrative_district_level_1": "Bowmanville",
              "postal_code": "ON L1C 4T4",
              "country": "CA"
            }
          },
          "shipping_note": "Deliver with care",
          "placed_at": "2024-02-06T10:09:12.153Z",
          "expected_shipped_at": "2024-02-06T18:00:00.000Z"
        }
      }
    ],
    "created_at": "2024-02-06T10:09:11.464Z",
    "updated_at": "2024-02-07T08:06:29.421Z",
    "state": "OPEN",
    "version": 6,
    "reference_id": "aa9586ad-720b-4036-8b5c-c1a9600edaaa",
    "total_tax_money": {
      "amount": 0,
      "currency": "CAD"
    },
    "total_discount_money": {
      "amount": 0,
      "currency": "CAD"
    },
    "total_tip_money": {
      "amount": 0,
      "currency": "CAD"
    },
    "total_money": {
      "amount": 0,
      "currency": "CAD"
    },
    "total_service_charge_money": {
      "amount": 0,
      "currency": "CAD"
    },
    "net_amounts": {
      "total_money": {
        "amount": 0,
        "currency": "CAD"
      },
      "tax_money": {
        "amount": 0,
        "currency": "CAD"
      },
      "discount_money": {
        "amount": 0,
        "currency": "CAD"
      },
      "tip_money": {
        "amount": 0,
        "currency": "CAD"
      },
      "service_charge_money": {
        "amount": 0,
        "currency": "CAD"
      }
    },
    "source": {
      "name": "Fleets Coffee"
    },
    "customer_id": "2N6010KQW0WSQ6CTEXTQ63KJB0",
    "pricing_options": {
      "auto_apply_discounts": false,
      "auto_apply_taxes": true
    },
    "net_amount_due_money": {
      "amount": 0,
      "currency": "CAD"
    }
  }
}

```

---

<div class="post-metadata">

**Author:** ![Bryan-Square](https://sea1.discourse-cdn.com/square/forums/user_avatar/developer.squareup.com/bryan-square/32/38_2.png) [@Bryan-Square](https://developer.squareup.com/forums/u/Bryan-Square)\
**Post date:** [February 7, 2024, 6:10pm UTC](https://developer.squareup.com/forums/t/updating-fulfillments-shipment-details-expected-shipped-at-no-longer-works/12072/5 "2024-02-07T18:10:51Z")

</div>

That is odd. I’m checking with the team on this. 🙂

---

<div class="post-metadata">

**Author:** ![Bryan-Square](https://sea1.discourse-cdn.com/square/forums/user_avatar/developer.squareup.com/bryan-square/32/38_2.png) [@Bryan-Square](https://developer.squareup.com/forums/u/Bryan-Square)\
**Post date:** [February 8, 2024, 12:21am UTC](https://developer.squareup.com/forums/t/updating-fulfillments-shipment-details-expected-shipped-at-no-longer-works/12072/6 "2024-02-08T00:21:55Z")

</div>

The team has deployed a fix for this issue and any future order will correctly show the updated timestamp. Once again thanks for bringing this to our attention. 🙂
